Bug 1000304 - /usr/sbin/iscsiadm has wrong selinux context after installation
/usr/sbin/iscsiadm has wrong selinux context after installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Leech
Michal Trunecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 02:57 EDT by Michal Trunecka
Modified: 2014-09-30 19:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:54:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-08-23 02:57:35 EDT
Description of problem:
After installation of iscsi-initiator-utils, /usr/sbin/iscsiadm has default bin_t type context, while it should have iscsid_exec_t.


# yum install iscsi-initiator-utils
.....
# ls -laZ /usr/sbin/iscsiadm
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       /usr/sbin/iscsiadm

# restorecon -v /usr/sbin/iscsiadm
restorecon reset /usr/sbin/iscsiadm context system_u:object_r:bin_t:s0->system_u:object_r:iscsid_exec_t:s0


Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.873-12.el7


Expected results:

The file has correct iscsid_exec_t context after package installation.
Comment 3 Ludek Smid 2014-06-13 07:54:35 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.